Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(17)

Issue 2886273002: Change GetAlternativeServies to return alternative service infos. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 days, 18 hours ago by Zhongyi Shi
Modified:
3 days, 11 hours ago
Reviewers:
Ryan Hamilton
CC:
chromium-reviews, cbentzel+watch_chromium.org, bnc+watch_chromium.org, net-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Change GetAlternativeServies to return alternative service infos. This will be later used to pass QUIC versions from HttpServerProperties to QuicStreamFactory in order to support multiple versions of QUIC. BUG=689762 Review-Url: https://codereview.chromium.org/2886273002 Cr-Commit-Position: refs/heads/master@{#473080} Committed: https://chromium.googlesource.com/chromium/src/+/c4de0303f3d7699d558f8042f946a2825e2d248a

Patch Set 1 #

Patch Set 2 : Change GetAlternativeServiceForInternal to GetAlternativeServiceInfoInternal to also return alt svc… #

Patch Set 3 : self review #

Total comments: 5

Patch Set 4 : address comments in ps #3 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+353 lines, -324 lines) Patch
M net/http/bidirectional_stream_unittest.cc View 1 1 chunk +6 lines, -6 lines 0 comments Download
M net/http/http_network_transaction_unittest.cc View 1 2 10 chunks +39 lines, -42 lines 0 comments Download
M net/http/http_server_properties.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M net/http/http_server_properties_impl.h View 1 chunk +1 line, -1 line 0 comments Download
M net/http/http_server_properties_impl.cc View 1 2 5 chunks +19 lines, -15 lines 0 comments Download
M net/http/http_server_properties_impl_unittest.cc View 19 chunks +133 lines, -118 lines 0 comments Download
M net/http/http_server_properties_manager.h View 1 chunk +1 line, -1 line 0 comments Download
M net/http/http_server_properties_manager.cc View 1 chunk +3 lines, -2 lines 0 comments Download
M net/http/http_server_properties_manager_unittest.cc View 5 chunks +22 lines, -18 lines 0 comments Download
M net/http/http_stream_factory_impl_job_controller.h View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M net/http/http_stream_factory_impl_job_controller.cc View 1 2 5 chunks +46 lines, -35 lines 0 comments Download
M net/http/http_stream_factory_impl_job_controller_unittest.cc View 1 chunk +4 lines, -4 lines 0 comments Download
M net/quic/chromium/quic_network_transaction_unittest.cc View 4 chunks +24 lines, -21 lines 0 comments Download
M net/spdy/chromium/spdy_session_unittest.cc View 1 8 chunks +52 lines, -58 lines 0 comments Download
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 18 (10 generated)
Zhongyi Shi
3 days, 22 hours ago (2017-05-18 17:23:23 UTC) #4
Ryan Hamilton
lgtm https://codereview.chromium.org/2886273002/diff/40001/net/http/http_server_properties.h File net/http/http_server_properties.h (right): https://codereview.chromium.org/2886273002/diff/40001/net/http/http_server_properties.h#newcode242 net/http/http_server_properties.h:242: // Returned alternative service infos never have empty ...
3 days, 21 hours ago (2017-05-18 17:45:33 UTC) #6
Zhongyi Shi
https://codereview.chromium.org/2886273002/diff/40001/net/http/http_server_properties.h File net/http/http_server_properties.h (right): https://codereview.chromium.org/2886273002/diff/40001/net/http/http_server_properties.h#newcode242 net/http/http_server_properties.h:242: // Returned alternative service infos never have empty hostnames. ...
3 days, 20 hours ago (2017-05-18 19:24:38 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2886273002/60001
3 days, 19 hours ago (2017-05-18 19:54:47 UTC) #10
Ryan Hamilton
lgtm https://codereview.chromium.org/2886273002/diff/40001/net/http/http_server_properties_impl.cc File net/http/http_server_properties_impl.cc (right): https://codereview.chromium.org/2886273002/diff/40001/net/http/http_server_properties_impl.cc#newcode330 net/http/http_server_properties_impl.cc:330: AlternativeServiceInfo(alternative_service, it->expiration)); On 2017/05/18 19:24:38, Zhongyi Shi wrote: ...
3 days, 19 hours ago (2017-05-18 19:59:46 UTC) #11
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_x64_rel_ng/builds/430956)
3 days, 15 hours ago (2017-05-19 00:08:24 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2886273002/60001
3 days, 15 hours ago (2017-05-19 00:12:53 UTC) #15
commit-bot: I haz the power
3 days, 11 hours ago (2017-05-19 04:07:56 UTC) #18
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/c4de0303f3d7699d558f8042f946...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06